[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Installing Java

I want to run Azureus, which requires the JRE from SUN to be installed.  I 
install the j2re1.4.2 and hope that Azureus runs.

The message returns that something is wrong with my java installation.

root@debian-rtg:/home/tilleyrw/downloads/azureus# ./azureus
Starting Azureus...
Java exec found in PATH. Verifying...
OOPS, you don't seem to have a valid JRE [java = Kaffe]
You need to upgrade to JRE 1.4.x or newer from http://java.sun.com
ls: /usr/java: No such file or directory
OOPS, unable to locate java exec in  /usr/java/  hierarchy
You need to upgrade to JRE 1.4.x or newer from http://java.sun.com

I have installed SUN's j2re package:

root@debian-rtg:/home/tilleyrw/downloads# ./j2re-1_4_2_04-linux-i586.bin
  inflating: j2re1.4.2_04/javaws/resources/messages_zh_CN.properties
 extracting: j2re1.4.2_04/javaws/sunlogo64x30.gif
Creating j2re1.4.2_04/lib/rt.jar
Creating j2re1.4.2_04/lib/jsse.jar
Creating j2re1.4.2_04/lib/charsets.jar
Creating j2re1.4.2_04/lib/ext/localedata.jar
Creating j2re1.4.2_04/lib/plugin.jar
Creating j2re1.4.2_04/javaws/javaws.jar

Update-alternatives --display java yields:
root@debian-rtg:/home/tilleyrw/downloads# update-alternatives --display java
java - status is auto.
 link currently points to /usr/lib/kaffe/bin/java
/usr/bin/gij-wrapper-3.3 - priority 33
 slave java.1.gz: /usr/share/man/man1/gij-wrapper-3.3.1.gz
/usr/lib/kaffe/bin/java - priority 300
Current `best' version is /usr/lib/kaffe/bin/java.

Azureus demands the JRE installed by SUN.  How can I update-alternatives so 
that /home/$USER/downloads/j2re1.4.2_04/bin/java is used?

Thank you for any help, Bob
Thirteen at a table is unlucky only when the hostess has only twelve chops.
		-- Groucho Marx

Reply to: